Вопросы, помеченные тегом «pip»

Используйте для вопросов об установщике пакетов Python
avatar
knowledge of no knowledge
9 августа 2021 в 00:37
145
1

какова цель звездочки * при использовании pip для установки пакетов python

Мое понимание python очень элементарное/общее, и я учусь чему-то по ходу дела. Я недавно столкнулся с этой проблемой, когда пытался воспроизвести некоторый код: !sudo pip install pytest* Я получил эту ошибку: "ОШИБКА: Недопустимое требование: 'pytest*'" Мне удалось...
avatar
Shrija Sheth
8 августа 2021 в 20:48
86
0

модуль «h5py» не имеет атрибута «Файл»

from tensorflow.keras.applications.vgg16 import VGG16 base_model = VGG16(input_shape = (224, 224, 3),include_top = False, weights = 'imagenet') Он не работает даже после удаления и установки pip install h5py несколько раз :(
avatar
Josh Belandres
8 августа 2021 в 19:45
73
1

Невозможно установить библиотеку python, pycontradictions, в среде anaconda (ноутбуки jupyter)

Я работаю над проектом НЛП и пытаюсь загрузить pycontradictions для работы с отрицаниями в тексте. Ex "не было" -> "не было". Однако, когда я пытаюсь установить с помощью conda install pycontractions, я получаю следующую ошибку: Solving environment: failed with...
avatar
Shankz
8 августа 2021 в 15:41
204
0

Не удалось установить mod_wsgi с помощью команды <pip install -v mod_wsgi>

Я пытаюсь настроить платформу Django-Apache для размещения моего приложения Django в локальной сети. У меня возникла проблема с установкой модуля mod_wsgi с помощью команды: ''' pip установить mod_wsgi ''' Команда на самом деле загружает все версии mod_wsgi, начиная с...
avatar
Victoria
8 августа 2021 в 14:57
659
2

VScode не удалось запустить установку pip [дубликат]

Окружающая среда: Windows10, Питон 3.9.6, VScode 1.59.0, Нет установки Pylance и Anaconda, Я несколько раз пытался переустановить Python и VScode Но когда я печатаю pip install pandas Терминал по-прежнему показывает pip установить панды ^ SyntaxError: недопустимый...
avatar
peelwan010
8 августа 2021 в 14:56
83
0

Ошибка при попытке установить модуль в Spyder

Я установил spyder без anaconda. Теперь, когда я пытаюсь установить модуль с помощью pip install, он показывает следующее: 'C:\Program' is not recognized as an internal or external command, operable program or batch file.```
avatar
Akshay Salekar
8 августа 2021 в 14:56
326
0

Создание колес для собранных пакетов: psycopg2

Я новичок в Python. Я пытаюсь выполнить свой проект, но при выполнении pip install -r requirements-local.txt сталкиваюсь с какой-то ошибкой, которая упоминается ниже. Я создал виртуальную среду с помощью virtualenv -p python3 venv и активировал ее с помощью команды...
avatar
arcy
8 августа 2021 в 12:30
414
0

Raspberry Pi: pip дает несовместимое колесо, устанавливается pip3

Я использую Raspberry Pi 3+ B и пытаюсь установить что-то в виртуальной среде Python3. У меня есть файл колеса wxPython-4.0.7.post2-cp37-cp37m-linux_armv7l.whl; когда я пытаюсь установить его с помощью sudo pip install...
avatar
Blizwing
7 августа 2021 в 20:50
90
2

Как установить zip-пакет в Pycharm [закрыто]

Я использую Pycharm IDE. Я делаю проект, для которого требуется более старая версия Tensorflow. Я попытался установить из магазина pycharm, используя указанные версии, но он говорит, что не найдено подходящих дистрибутивов. Итак, я скачал исходный код Tensorflow v1.8 с...
avatar
jonsl
7 августа 2021 в 20:41
97
1

удовлетворяет требованию PyDispatcher-2.0.5 (из версий: нет)

Python 3.9.5 Вот: deactivate rm -rf venv/ python -m venv venv source venv/bin/activate python -V python -m pip install --upgrade pip python -m pip install wheel хорошо. посмотрите файл...
avatar
putryy
7 августа 2021 в 17:51
40
0

Почему wxPython не устанавливается

Я установил все рекомендуемые библиотеки с сайта wxPython, но все равно получаю сообщение об ошибке команда: pip3 install -U wxPython вывод: checking build system type... x86_64-pc-linux-gnu checking host system type... x86_64-pc-linux-gnu checking for...
avatar
Dolphin
7 августа 2021 в 16:04
118
1

почему модуль python не нашел а установить подскажите уже требуется

Я использую эту команду для установки модуля Python: ~/source/pydolphin on  master! ⌚ 23:57:49 $ pip3 install -r requirements-pip.txt|grep celery ‹ruby-2.7.2› Collecting...
avatar
Mahi
7 августа 2021 в 15:03
129
0

Установка dlib вызывает ошибку после установки cmake в python

Я новичок в Python. Я практиковал код на основе обучающих видео. Я установил cmake в Windows 10. После этого попытался установить библиотеку Dlib. Но это дало мне ошибку. Это было решено путем установки Desktop Development с C++ с использованием Visual Studio. Я снова...
avatar
hussain yusoof
7 августа 2021 в 13:16
55
0

Я не могу установить PIP на python 2.7

ТАК, когда я пытаюсь установить pip, я получаю это сообщение об ошибке, любая помощь я использую python 2.7, потому что курс использует зависимости от python 2, поэтому я не могу использовать python 3, любая помощь очень ценится python get-pip.py это команда, которую...
avatar
Tfiver AI
7 августа 2021 в 10:29
37
0

Может ли кто-нибудь помочь мне с ошибкой Python в одном из моих проектов ИИ?

Error 259 for command: play voice07082021171642.mp3 wait The driver cannot recognize the specified command parameter. Traceback (most recent call last): File "E:\aip.py", line 71, in <module> speak("Tfive Đang lắng nghe") File "E:\aip.py", line 40,...
avatar
Josh Schubert
6 августа 2021 в 20:10
238
0

Не удалось собрать контейнер kubespray из Dockerfile

Я клонировал репозиторий kubespray и пытаюсь создать контейнер из Dockerfile, чтобы запускать развертывания. Он проходит шаги 1-5 Dockerfile без проблем, но каждый раз при загрузке ansible base tar происходит сбой на шаге 6. Вот результат: docker build --no-cache...
avatar
Nikola Milun
6 августа 2021 в 16:37
104
0

Пип для Python 3.1

Я пытался установить pip на свой Python 3.1, чтобы иметь возможность конвертировать файлы .py в файлы .exe. Я искал в Интернете, находил такие вещи, как sudo, некоторые ссылки для начальной загрузки и тому подобное, но пока ничего не работало. Если кто-нибудь знает,...
avatar
Denny Weinberg
6 августа 2021 в 13:17
139
0

конфликт версий pip (правильно LooseVersion)

У меня проблема с библиотеками pip и patched. Вот тестовый сценарий: from distutils.version import LooseVersion iss = LooseVersion("4.21.0-patch01") >= LooseVersion("4.18.3") print(iss) # True 4.21.0-patch01, конечно, новее, чем 4.18.3. Однако pip не...
avatar
JimP
6 августа 2021 в 11:43
51
0

pip не устанавливается на бродягу вверх - VirtualBox/Vagrant/bento/ubuntu-16.04

Есть идеи, как решить эту проблему? Vagrant не может найти pip для установки, поскольку URL-адрес репозитория был изменен в соответствии с https://packaging.python.org/guides/migrating-to-pypi-org/ Окружающая среда: OSX 11.4, VirtualBox 6.1.26, Vagrant 2.2.18,...
avatar
Hakunamawatta
6 августа 2021 в 09:48
573
4

Почему модули Python не найдены, несмотря на их установку в pip?

Я пытался использовать отладчик python VS Code в Linux (mint), который использует отладку, и он продолжает выдавать ошибку «Нет модуля с именем '_ctypes'». Установка libffi-dev не исправила это, как предлагалось в другом месте на SO, а также переустановка python и...